curl --request POST \
--url https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"autoscaling": {
"max_instances": 2,
"min_instances": 1
},
"code_text": "def main():\n return 'Hello World'",
"flavor": "64m-64MB",
"main_method": "handler",
"name": "function-name",
"runtime": "python3.7.12",
"timeout": 5,
"dependencies": "numpy==1.21.0\npandas==1.3.0",
"description": "This is a sample function.",
"enable_api_key": true,
"envs": {
"ENV_VAR": "value"
}
}
EOFimport requests
url = "https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions"
payload = {
"autoscaling": {
"max_instances": 2,
"min_instances": 1
},
"code_text": "def main():
return 'Hello World'",
"flavor": "64m-64MB",
"main_method": "handler",
"name": "function-name",
"runtime": "python3.7.12",
"timeout": 5,
"dependencies": "numpy==1.21.0
pandas==1.3.0",
"description": "This is a sample function.",
"enable_api_key": True,
"envs": { "ENV_VAR": "value" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
autoscaling: {max_instances: 2, min_instances: 1},
code_text: 'def main():\n return \'Hello World\'',
flavor: '64m-64MB',
main_method: 'handler',
name: 'function-name',
runtime: 'python3.7.12',
timeout: 5,
dependencies: 'numpy==1.21.0\npandas==1.3.0',
description: 'This is a sample function.',
enable_api_key: true,
envs: {ENV_VAR: 'value'}
})
};
fetch('https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create function
Create a new serverless function in the specified namespace. The function can be configured with code, dependencies, and runtime settings.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Namespace name
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"namespace-name"
Body
Autoscaling configuration for the function. Keys must be 'min_instances' or 'max_instances', and values must be integers between 0 and 50.
Show child attributes
Show child attributes
{ "max_instances": 2, "min_instances": 1 }
Function code text.
1 - 100000"def main():\n return 'Hello World'"
The name of the flavor associated with the function.
"64m-64MB"
The main startup method name.
1 - 100"handler"
Function name.
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"function-name"
Function runtime.
"python3.7.12"
Function timeout in seconds.
0 <= x <= 1805
Dependencies for the function to install.
100000"numpy==1.21.0\npandas==1.3.0"
Description of the function.
255"This is a sample function."
Enable or disable API key authentication. Enable api key is temporarily disabled. As a result, using Functions with authorization is currently not supported.
true
Environment variables for the function. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.
Show child attributes
Show child attributes
{ "ENV_VAR": "value" }
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?